Package org.apache.axiom.mime.activation

# Class PartDataHandlerBlobFactory

java.lang.Object
org.apache.axiom.mime.activation.PartDataHandlerBlobFactory

All Implemented Interfaces:
  `PartBlobFactory`

public abstract class PartDataHandlerBlobFactory extends Object implements PartBlobFactory
`PartBlobFactory` implementation that creates `PartBlob` instances that wrap `PartDataHandler` instances.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PartDataHandlerBlobFactory`
  `DEFAULT`
  `PartDataHandlerBlobFactory` instance that creates plain `PartDataHandler` instances.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PartDataHandlerBlobFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final PartBlob`
  `createBlob(Part part)`
  Create a `PartBlob` for the given MIME part.
  `protected abstract PartDataHandler`
  `createDataHandler(Part part)`
  Create a `PartDataHandler` for the given `Part`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT

    public static final PartDataHandlerBlobFactory DEFAULT
    `PartDataHandlerBlobFactory` instance that creates plain `PartDataHandler` instances.

- ## Constructor Details

  - ### PartDataHandlerBlobFactory

    protected PartDataHandlerBlobFactory()

- ## Method Details

  - ### createBlob

    public final PartBlob createBlob(Part part)
    Description copied from interface: `PartBlobFactory`
    Create a `PartBlob` for the given MIME part.
    Specified by:
      `createBlob` in interface `PartBlobFactory`
    Parameters:
      `part` - the MIME part
    Returns:
      the blob

  - ### createDataHandler

    protected abstract PartDataHandler createDataHandler(Part part)
    Create a `PartDataHandler` for the given `Part`.
    Parameters:
      `part` - the MIME part
    Returns:
      the data handler